// doc.h : definitions for CMyDoc class, a typical MFC document

class CMyDoc : public CDocument {
   DECLARE_DYNCREATE(CMyDoc)
public:
   CString  m_string;      // a string
   WORD     m_number;      // a number

   CMyDoc();
   ~CMyDoc();

   // Special overrides to do trick serialization
   BOOL     OnOpenDocument(const char* pszPathName);
   BOOL     OnSaveDocument(const char* pszPathName);

   // Functions you would normally have in any document class
   void     Serialize(CArchive& ar);
   virtual  void Dump(CDumpContext& dc) const;
};

