PROJ = PEDUMP

OBJS = 	PEDUMP.OBJ \
		COMMON.OBJ \
		OBJDUMP.OBJ \
		EXEDUMP.OBJ

DEBUG = 0
CC = cl
RC = rc

CFLAGS_D_DEXE32 = /nologo /D_X86_ /W3 /D_DEBUG /Zi /Fd"$(PROJ).PDB" /Fp"$(PROJ).PCH" /YX
CFLAGS_R_DEXE32 = /nologo /D_X86_ /W3 /O2 /DNDEBUG
LFLAGS_D_DEXE32 = /NOLOGO /DEBUG /DEBUGTYPE:both /SUBSYSTEM:console
LFLAGS_R_DEXE32 = /NOLOGO /SUBSYSTEM:console
LFLAGS_D_LIB32 = /NOLOGO
LFLAGS_R_LIB32 = /NOLOGO
LIBS_D_DEXE32 = kernel32.lib USER32.LIB
LIBS_R_DEXE32 = kernel32.lib USER32.LIB
RCFLAGS32 = 
D_RCDEFINES32 = -d_DEBUG
R_RCDEFINES32 = -dNDEBUG
LIBS_EXT = 

!if "$(DEBUG)" == "1"
CFLAGS = $(CFLAGS_D_DEXE32)
LFLAGS = $(LFLAGS_D_DEXE32)
LIBS = $(LIBS_D_DEXE32)
LFLAGS_LIB=$(LFLAGS_D_LIB32)
#MAPFILE_OPTION = -map:$(PROJ).map
RCDEFINES = $(D_RCDEFINES32)
!else
CFLAGS = $(CFLAGS_R_DEXE32)
LFLAGS = $(LFLAGS_R_DEXE32)
LIBS = $(LIBS_R_DEXE32)
MAPFILE_OPTION = -map:$(PROJ).map
LFLAGS_LIB=$(LFLAGS_R_LIB32)
RCDEFINES = $(R_RCDEFINES32)
!endif

all: $(PROJ).EXE

.c.obj:
    $(CC) $(CFLAGS) /c $<

$(PROJ).EXE: $(OBJS)
    echo >NUL @<<$(PROJ).CRF
$(LFLAGS)
$(OBJS)
$(OBJS_EXT)
-OUT:$(PROJ).EXE
$(MAPFILE_OPTION)
$(LIBS)
$(DEFFILE_OPTION)
<<
    link @$(PROJ).CRF

